%define name smartmontools
%define version 5.27
%define release 1mdk

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	SMARTmontools - for monitoring S.M.A.R.T. disks and devices
License:	GPL
Group:		System/Kernel and hardware
URL:            http://smartmontools.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
# tar.gz at download.sf.net/smartmontools/
Source0:	%{name}-%{version}.tar.bz2
Obsoletes:	smartsuite
Provides:	smartsuite
Prereq:		rpm-helper

%description 
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
build into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contents two utilities.  The first, smartctl, is a command line
utility designed to perform simple S.M.A.R.T. tasks. The second,
smartd, is a daemon that periodically monitors smart status and
reports errors to syslog.  The package is compatible with the
ATA/ATAPI-5 specification.  Future releases will be compatible with
the ATA/ATAPI-6 andATA/ATAPI-7 specifications.  The package is
intended to incorporate as much "vendor specific" and "reserved"
information as possible about disk drives.  man smartctl and man
smartd will provide more information.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service smartd

%preun
%_preun_service smartd


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/smartd.conf
%attr(744,root,root) %config(noreplace) %{_initrddir}/smartd
%{_sbindir}/*
%{_mandir}/man?/*

%doc %{_docdir}/%{name}-%{version}


%changelog
* Thu Feb 19 2004 Erwan Velu <erwan@mandrakesoft.com> 5.27-1mdk
- New Release
* Thu Dec 4 2003 Erwan Velu <erwan@mandrakesoft.com> 5.26-1mdk
- New release
- Release are too fast theses days :)
* Thu Nov 27 2003 Erwan Velu <erwan@mandrakesoft.com> 5.25-1mdk
- New release
- Fixing changelog entries :)
- Removing Patch1 (merged upstream)
* Mon Nov 1 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-23mdk
- New release
* Sat Nov 01 2003 Abel Cheung <deaddog@deaddog.org> 5.22-2mdk
- don't restart smartd multiple times

* Thu Oct 30 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-22.1mdk
- Jump to Release 22 (release are quick theses days :) )
- Removing patch1 (Mandrake is redhat compliant for initscripts)
- Adding autorestart on updates

* Sat Oct 04 2003 Abel Cheung <deaddog@deaddog.org> 5.19-1mdk
- 5.19 (no subrelease version number now)
- When upgrading, solely use rpm-helper scripts to start/stop service.
  It will be effective after next rpm update. (#5996)
- Obsoletes UCSC smartsuite instead of conflicts, looks like smartsuite
  is no longer maintained
- Rediff patch1

* Tue Sep 23 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-18.1mdk
- New release
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.1-14.2mdk
- rebuild

* Wed Jun 18 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-14.1mdk
- Subrelease 14

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.1-10.1mdk
- subrelease 10

* Fri Mar 28 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-9.2mdk
- Adding examplescript dir in /usr/share/doc/ (Thx to Bruce Allen)

* Mon Mar 24 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-9.1mdk
- New version
- Removing patch0
- Including missing files

* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 5.0-8.2mdk
- Rebuild for new glibc

* Tue Oct 15 2002 Erwan Velu <erwan@mandrakesoft.com> 5.0-8.1mdk
- First mdk release

* Mon Oct 14 2002  Bruce Allen smartmontools-support@lists.sourceforge.net
Initial release.  Code is derived from smartsuite, and is
   intended to be compatible with the ATA/ATAPI-5 specifications.
